"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var class_transformer_1 = require("class-transformer");
var decodeDynamo_1 = require("../dynamoUtils/decodeDynamo");
/**
 * Returns a Model from a given dynamo object
 */
function dynamoToClass(cls, dynamoObject) {
    if (!dynamoObject) {
        return null;
    }
    return class_transformer_1.plainToClass(cls, decodeDynamo_1.decodeDynamo(dynamoObject));
}
exports.dynamoToClass = dynamoToClass;
