"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var that_koa_error_1 = require("that-koa-error");
/**
 * A Dynamo Error
 */
var DynamoError = /** @class */ (function (_super) {
    __extends(DynamoError, _super);
    function DynamoError(debugMessage, debugInfo) {
        if (debugMessage === void 0) { debugMessage = 'No debug information provided'; }
        if (debugInfo === void 0) { debugInfo = {}; }
        var _this = _super.call(this, 500, 'A DynamoDB Error has occurred', debugMessage, debugInfo) || this;
        _this.debugMessage = debugMessage;
        _this.debugInfo = debugInfo;
        return _this;
    }
    return DynamoError;
}(that_koa_error_1.ApplicationError));
exports.DynamoError = DynamoError;
