import { IModelClass, IModel } from 'that-simple-model';
/**
 * Run and return a query on the db using SQLite
 * NOTE: We open and close it each time to avoid conflic ts between sqlite
 * and dynamo access
 //  */
export declare function getData(sql: string): Promise<any>;
/**
 * Empty the table
 * NOTE: We can't just use SQL for this because of DynamoDB caching etc
 * The easiest way to empty a table is to delete it and recreate it
 */
export declare function emptyTable<T extends IModel>(cls: IModelClass<T>): Promise<void>;
