import * as AWS from 'aws-sdk';
import * as M from 'that-simple-model';
import * as O from 'that-simple-objectstore';
/**
 * Performs a DynamoDB query
 */
export declare function query<T extends M.IModel>(c: AWS.DynamoDB.DocumentClient, cls: M.IModelClass<T>, options: O.IObjectStoreQueryOptions<T>): Promise<O.IObjectStoreQueryResult<T>>;
